<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { useUserStore } from '@/stores/user'
import { ref } from 'vue'

const form = ref(false)
const authStore = useAuthStore()
const loading = ref(false)
const show = ref(false)

const required = (v: any) => {
  return !!v || 'Field is required'
}

function onSubmit() {
  form.value
}

function load(){
  loading.value = true
  setTimeout(() => (loading.value = false), 2000)
}
</script>

<template>
  <v-container class="pa-0">
    

          <v-row class="justify-center align-center" style="padding-top: 5px; padding-bottom: 20px">
           
      <v-sheet
        class="pa-9"
        style="background-color: #86665d; border: #d29f56 solid 2px; border-radius: 50px"
        rounded
      >
        <v-card
          width="300"
          style="text-align: center; background-color: #86665d; color: white"
          elevation="0"
        >
          <div
            style="
              padding-bottom: 20px;
              font-size: 25px;
              font-weight: bold;
              font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande',
                'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
            "
          >
            LOGIN
          </div>
          <v-row class="justify-center align-center" style="padding-top: 5px; padding-bottom: 35px">
            <v-icon icon="mdi-account-circle-outline" size="100" color="white"></v-icon>
          </v-row>
          <v-form v-model="form" @submit.prevent="onSubmit">
            <v-text-field
              style="color: white"
              prepend-icon="mdi-account"
              v-model="authStore.email"
              :rules="[required]"
              class="mb-2"
              clearable
              label="Email"
              placeholder="Enter your Email"
              rounded
              variant="outlined"
            ></v-text-field>
            <v-text-field
              prepend-icon="mdi-lock"
              v-model="authStore.password"
              :rules="[required]"
              clearable
              class="mb-2"
              label="Password"
              placeholder="Enter your Password"
              :type="show ? 'text' : 'password'"
              rounded
              variant="outlined"
            >
              <template v-slot:append-inner>
                <v-icon
                  :icon="show ? 'mdi-eye' : 'mdi-eye-off'"
                  @click="show = !show"
                ></v-icon> </template
            ></v-text-field>
            <br />
            <v-btn
              :disabled="!form"
              :loading="loading"
              block
              style="background-color: #d7bb93;font-weight: bold;"
              size="large"
              type="submit"
              variant="elevated"
              @click="authStore.login"
              rounded
            >
              Sign In
            </v-btn>
          </v-form>
        </v-card>
      </v-sheet>
    </v-row>
  </v-container>
  <!--  login ไม่ pass -->
  <v-dialog v-model="authStore.unsuccess" width="500">
    <template v-slot:default="{ isActive }">
      <v-card class="justify-center align-center" style="border: #fe0000 solid 2px;border-radius: 50px">
        <v-card-text>
          <v-row class="justify-center align-center pa-5"
            ><v-icon icon="mdi-close-circle-outline" size="150" color="#fe0000"></v-icon
          ></v-row>
          <h2>Incorrect Email or Password</h2>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            text="Close"
            color="red"
            style="font-size: 20px"
            @click="isActive.value = false"
          ></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>
<style scoped>

</style>